/* main */
body, td, input, textarea, select {
    font-family: Roboto,RobotoDraft,Helvetica,Arial,sans-serif;
    line-height: 1.5;
    color: #292b2c;
    background-color: #fff;
}
a {
    color: #0275d8;
    text-decoration: none;
}
a:hover, a:focus {
  color: #23527c;
  text-decoration: underline;
}
html, body {
    margin: 0;
    height: 100%;
    width: 100%;
}
table td {
    vertical-align: top;
}
table {
    width: 100%;
}

/* form components */
form input[type="text"], form input[type="password"], form select, textarea {
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 100%;
    line-height: 1.5;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-sizing: border-box;
    text-transform: none;
}
form input[type="text"]:focus, form textarea:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
}
label img, label span {
    display: inline-block;
}
label img {
    margin: 0 4px;
}
label.button {
    height: 30px;
    display: inline-block;
    text-align: center;
    line-height: 30px;
    border-radius: 6px;
    padding: 1px 8px;
    cursor: pointer;
    border-width: 1px;
    border-style: solid;
}
/* Цвета кнопок, например, https://getbootstrap.com/docs/4.4/components/buttons/ */
/* по умолчанию серая кнопка */
.btn-default:hover {
    color: #333;
    background-color: #ebebeb;
    border-color: #adadad;
}
.btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}
/* Синяя кнопка */
.btn-primary {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}
.btn-primary:hover {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
}
/* Зелёная кнопка */
.btn-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}
.btn-success:hover {
  color: #fff;
  background-color: #218838;
  border-color: #1e7e34;
}
.btn-success:focus, .btn-success.focus {
  color: #fff;
  background-color: #218838;
  border-color: #1e7e34;
  box-shadow: 0 0 0 0.2rem rgba(72, 180, 97, 0.5);
}
.btn-success.disabled, .btn-success:disabled {
  color: #fff;
  background-color: #28a745;
  border-color: #28a745;
}


label.button:active {
    outline: 0;
    background-image: none;
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}
.var_radio div {
    /*padding: 3px 8px;*/
    border-radius: 5px;
    line-height: 1.5;
}
.var_text, .var_radio {
    padding-left: 12px;
    padding-right: 12px;
}

/* table.var */
.var {
    padding: 0;
    margin: 10px 5px;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 7px;
    box-shadow: none;
    display:table;
    border-collapse: separate;
}
.var table {
    /*width: 100%;
    max-width: 100%;
    background-color: transparent;*/
    border-collapse: collapse;
    border-spacing: 0;
    box-sizing: border-box;
}
.var table th {
    border-top: 0;
    font-size: 80%;
}
.var table th {
    padding: 5px;
    margin: 0;
    border-bottom: 1px solid #ddd;
    vertical-align: bottom;
    text-align: left;
}
.var table td {
    padding: 5px;
    margin: 0;
    border-top: 1px solid #ddd;
    line-height: 1.5;
}
.var table>tbody>tr:not(.col):nth-child(odd)>td:not(.col), table>tbody>tr:nth-child(odd)>th {
    background-color: #f9f9f9;
}
.edited:not(.no-color) {
    background-color: rgb(255, 237, 232) !important;
}
.confirm_set:not(.no-color) {
    background-color: rgb(237, 255, 232) !important;
}
.c9 {
    background-color: #5c5980 !important;
    color: white
}
.c8 {
    background-color: #ee75d6 !important;
}
.c7 {
    background-color: #d1ff98 !important;
}
.c5 {
    background-color: #fff97a !important;
}
.c4 {
    background-color: #7fc9db !important;
}
.c3 {
    background-color: #f44d55 !important;
}
.c2 {
    background-color: #a1a1a1 !important;
}
.c1 {
    background-color: #a0db8f !important;
}
.c0 {
    background-color: #fbd5b5 !important;
}
.hide {
    display: none
}
/* expra */
.nw {
    white-space: nowrap
}
.small {
    font-size: 13px;
}
.w160 {
    width: 160px !important;
}

/* nbootstrap notify alert styles */
.alert {
  padding: 15px;
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px;
}
.alert h4 {
  margin-top: 0;
  color: inherit;
}
.alert .alert-link {
  font-weight: bold;
}
.alert > p,
.alert > ul {
  margin-bottom: 0;
}
.alert > p + p {
  margin-top: 5px;
}
.alert-dismissable,
.alert-dismissible {
  padding-right: 35px;
}
.alert-dismissable .close,
.alert-dismissible .close {
  position: relative;
  top: -2px;
  right: -21px;
  color: inherit;
}
.alert-success {
  background-color: #dff0d8;
  border-color: #d6e9c6;
  color: #3c763d;
}
.alert-success hr {
  border-top-color: #c9e2b3;
}
.alert-success .alert-link {
  color: #2b542c;
}
.alert-info {
  background-color: #d9edf7;
  border-color: #bce8f1;
  color: #31708f;
}
.alert-info hr {
  border-top-color: #a6e1ec;
}
.alert-info .alert-link {
  color: #245269;
}
.alert-warning {
  background-color: #fcf8e3;
  border-color: #faebcc;
  color: #8a6d3b;
}
.alert-warning hr {
  border-top-color: #f7e1b5;
}
.alert-warning .alert-link {
  color: #66512c;
}
.alert-danger {
  background-color: #f2dede;
  border-color: #ebccd1;
  color: #a94442;
}
.alert-danger hr {
  border-top-color: #e4b9c0;
}
.alert-danger .alert-link {
  color: #843534;
}
/* added styles for close button */
button.close {
    -webkit-appearance: none;
    padding: 0;
    cursor: pointer;
    background: transparent;
    border: 0;
}
.close {
    float: right;
    font-size: 21px;
    font-weight: bold;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    filter: alpha(opacity=20);
    opacity: .2;
}
